/** Подсветка синтаксиса **/
pre {
  padding: 0 3px 2px;
  font-family: Monaco, Menlo, Consolas, "Courier New", monospace;
  color: #333;
  display: block;
  padding: 9.5px;
  margin: 0 0 30px 0 !important;
  font-size: 13px;
  line-height: 20px;
  word-break: break-all;
  word-wrap: break-word;
  white-space: pre;
  white-space: pre-wrap;
  border: 1px solid #ccc;
  border: 1px solid rgba(0, 0, 0, 0.15);
  -webkit-border-radius: 4px;
          border-radius: 4px;
}
pre.prettyprint {
  margin-bottom: 20px;
}
.pre-scrollable {
  max-height: 340px;
  overflow-y: scroll;
}
.com {
  color: #999;
}
.lit {
  color: #195f91;
}
.pun, .opn, .clo {
  color: #93a1a1;
}
.fun {
  color: #D24A53;
}
.str, .atv {
  color: #D24A53;
}
.kwd, .prettyprint .tag {
  color: #6391B3;
}
.typ, .atn, .dec, .var {
  /*color: teal;*/
  color: #529FCC;
}
.pln {
  color: #333;
}
.prettyprint {
  padding: 10px 15px;
  background-color: #FFF;
  border: 1px solid #e1e1e8;
}
.prettyprint.linenums {
  -webkit-box-shadow: inset 40px 0 0 #fbfbfc, inset 41px 0 0 #ececf0;
          box-shadow: inset 40px 0 0 #fbfbfc, inset 41px 0 0 #ececf0;
}
/* Нумерация строк */
ol.linenums {
  margin:0 0 0 9px;
}
ol.linenums li {
  padding-left: 12px;
  color: #bebec5;
  line-height: 20px;
  list-style: decimal;
}

.incut {
   margin: 25px 0 25px;
   background: #f6f6f6;
   position: relative;
   display: block;
   font-family: 'amazing_grotesk_book', Arial;
   font-size: 18px;
   line-height: 1.5em;
   padding: 25px 25px 25px 105px;
}

.incut::before {
    content: "“";
    position: absolute;
    font-family: proxima_nova_rg;
    left: 35px;
    top: 55px;
    font-size: 70px;
    font-weight: bold;
    color: #0EA9DA;
}

.gray{
    padding: 1px 5px 1px 5px;
    color: #4C4C4C;
    white-space: pre-wrap;
    background-color: #f7f7f9;
    border: 1px solid #e1e1e8;
        border-radius:5px;
}

.blue, .context-text .blue, .courses-post p .blue, .content-text ul li .blue, .content-text ul ul ul ul li .blue {
  color: #23AAD9;
}

.blue.i {
  font-family: 'OpenSansItalic';
font-style: normal !important;
  color: #23AAD9;
}

.figure {
  font-family: 'OpenSans-Italic', Arial, sans-serif;
  font-style: italic;
  font-size: 14px;
  text-align: center;
  display: block;
  box-sizing: border-box;
  padding: 0 0 25px;
  margin-top: 0;
  float: none;
  color: #999999;
   }

   .courses-main-wrapper .warning {
       background: #fef2f2;
       border-color: #fcdddd;
   }

   .courses-main-wrapper .hint {
       background: #f7fafe;
       border-color: #e4eefb;
   }

   .courses-main-wrapper .warning:before {
       background-position: 0 -96px;
   }

   .courses-main-wrapper .hint:before {
       background-position: 0 0;
   }

/*
* Accordion style
*/

button.accordion {
    background-color: white;
    cursor: pointer;
    padding: 10px 0 10px 40px;
    width: 100%;
    border: none;
    border-left: 5px;
    text-align: left;
    outline: none;
    font-size: 14px;
    transition: 0.4s;
    position: relative;
    display: flex;
    align-items: center;
}

button.accordion.active, button.accordion:hover {
   /* background-color: #ddd;*/
}

div.panel {
    padding: 0 0;
    background-color: white;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
}

 .types-jobs {
   margin-bottom: 95px;
 }

 .types-jobs-margin {
   padding-right: 15px;
   padding-left:15px;
   margin-top: -2px;

 }
 .types-jobs-content-block {
   border-top: 1px solid #c3c3c3;
   border-bottom: 1px solid#c3c3c3;
   padding: 0;
   margin: 25px 0 25px 0;
 }

 .types-jobs-title {
   font-family: 'OpenSans Regular';
   font-size: 36px;
   margin-top: 25px;
   margin-bottom: 55px;
   text-align: center;
 }

 .types-jobs-content-title {
   font-size: 14px;
   color: #1FA9D7;
   /*line-height: 110%;*/
 }

 button.accordion .types-jobs-content-plus .active {
   transform: rotate(0deg);
 }


 @media (min-width: 1920px) {
 .types-jobs-content {
   margin-right: 95px;
   margin-left:95px;
 }
 .types-jobs-margin {
     padding-right: 30px;
     padding-left: 30px;
     margin-top: -2px;
 }

 }

 @media (min-width: 1819px) and (max-width: 1919px) {
   .types-jobs-content {
   margin-right: 95px;
   margin-left:95px;
 }
   button.accordion {
       padding-left: 60px;
   }
 .types-jobs-margin {
     padding-right: 30px;
     padding-left: 30px;
     margin-top: -2px;
 }
 }

 @media (min-width: 1519px) and (max-width: 1819px) {
 .types-jobs-content {
   margin-right: 95px;
   margin-left:95px;
 }
 }

 @media (min-width: 521px) and (max-width: 767px) {
   .types-jobs-content-title {
   font-size: 18px;

 }
 }


 @media (max-width: 520px and (max-width: 768px)) {
 button.accordion {
     padding-left: 30px;
 }

 .accordion-comment {
   padding-top: 30px;
   margin-left: 30px;
 }
 .types-jobs-margin {
     padding-right: 5px;
     padding-left: 5px;
     margin-top: -2px;
 }
   .types-jobs-content-title {
   font-size: 16px;
 }
 }

  .closed .vertical {
    transition: all 0.5s ease-in-out;
    transform: rotate(-90deg);
  }
  .closed .horizontal {
    transition: all 0.5s ease-in-out;
    transform: rotate(-90deg);
    opacity: 1;
  }


.opened {
  opacity: 1;

}
.opened .vertical {
    transition: all 0.5s ease-in-out;
    transform: rotate(90deg);
  }
.opened .horizontal {
    transition: all 0.5s ease-in-out;
    transform: rotate(90deg);
    opacity: 0;
  }
.circle-plus {
    width: 100%;
    height: 100%;
    font-size: 1em;
    position: absolute;
    z-index: 10;
    left: 0;
    top: 0;
}

.circle-plus .circle {
    position: absolute;
    height: 100%;
    border-radius: 100%;
    border: solid .5em transparent;
    left: 4px;
}
.circle-plus .circle .horizontal {
    position: absolute;
    background-color: transparent;
    background-color: #c3c3c3;
    width: 18px;
    height: 2px;
    left: 50%;
    margin-left: 0px;
    top: 50%;
}
.circle-plus .circle .vertical {
    position: absolute;
    background-color: #c3c3c3;
    width: 2px;
    height: 18px;
    left: 50%;
    margin-left: 8px;
    top: 18%;
}

 @media (max-width: 768px and  (max-width: 965px)) {
.circle-plus .circle .horizontal {
    position: absolute;
    background-color: transparent;
    background-color: #c3c3c3;
    width: 18px;
    height: 2px;
    left: 50%;
    margin-left: -9px;
    top: 50%;
    margin-top: -1px;
}
.circle-plus .circle .vertical {
    position: absolute;
    background-color: #c3c3c3;
    width: 2px;
    height: 18px;
    left: 50%;
    margin-left: -1px;
    top: 50%;
    margin-top: -9px;
}
}

.note {
    background-color: #ebf7e7;
    padding: 20px 30px 20px 30px;
    border-radius: 15px;
    position: relative;
    margin: 20px 0;
}

.note:before {
    background: url(/local/templates/sotbit_main_learning/images/note_icon.png) no-repeat;
    content: '';
    height: 28px;
    top: -4px;
    left: -4px;
    position: absolute;
    width: 28px;
    background-position: 0 0;
}

.hint {
    background-color: #e7f6fc;
    padding: 20px 30px 20px 30px;
    border-radius: 15px;
    position: relative;
    margin: 20px 0;
}

.hint:before {
    background: url(/local/templates/sotbit_main_learning/images/hint_icon.png) no-repeat;
    content: '';
    height: 28px;
    top: -4px;
    left: -4px;
    position: absolute;
    width: 28px;
    background-position: 0 0;
}

.warning {
    background-color: #fce4e4;
    padding: 20px 30px 20px 30px;
    border-radius: 15px;
    position: relative;
    margin: 20px 0;
}

.warning:before {
    background: url(/local/templates/sotbit_main_learning/images/warning_icon.png) no-repeat;
    content: '';
    height: 28px;
    top: -4px;
    left: -4px;
    position: absolute;
    width: 28px;
    background-position: 0 0;
}
